// Copyright (C) 2022 WYATT GROUP
// Please see the AUTHORS file for details.
//
// This program is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program. If not, see <https://www.gnu.org/licenses/>.

import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:wyatt_authentication_bloc/wyatt_authentication_bloc.dart';

class SubPage extends StatelessWidget {
  const SubPage({Key? key}) : super(key: key);

  static String pageName = 'Sub';

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Sub'),
        actions: [
          IconButton(
              onPressed: () =>
                  context.read<AuthenticationCubit<int>>().signOut(),
              icon: const Icon(Icons.logout_rounded)),
          IconButton(
              onPressed: () =>
                  context.read<AuthenticationRepository<int>>().refresh(),
              icon: const Icon(Icons.refresh))
        ],
      ),
      body: const Padding(
        padding: EdgeInsets.all(8),
        child: SingleChildScrollView(
          child: Text('Another page'),
        ),
      ),
    );
  }
}
